org.apache.jmeter.gui.action

## Class Close

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
    - - org.apache.jmeter.gui.action.Close

- All Implemented Interfaces:
    Command

      public class Close
      extends AbstractActionWithNoRunningTest

  This command clears the existing test plan, allowing the creation of a New test plan.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Close()` Constructor for the Close object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doActionAfterCheck(java.awt.event.ActionEvent e)` This method performs the actual command processing.
    `java.util.Set<java.lang.String>` | `getActionNames()` Gets the ActionNames attribute of the Close object.

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

      `doAction`

    - ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

      `popupCheckExistingFileListener, popupShouldSave`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Close

          public Close()

      Constructor for the Close object.

  - ### Method Detail

    - #### getActionNames

          public java.util.Set<java.lang.String> getActionNames()

      Gets the ActionNames attribute of the Close object.
      Returns:
        the ActionNames value

    - #### doActionAfterCheck

          public void doActionAfterCheck(java.awt.event.ActionEvent e)

      This method performs the actual command processing.
      Specified by:
        `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
      Parameters:
        `e` - the generic UI action event

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.